## ros-lunar-rexrov2-gazebo 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rexrov2_gazebo)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        PATTERN "*~" EXCLUDE)

=== debian/changelog ===
ros-lunar-rexrov2-gazebo (0.1.3-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-lunar-rexrov2-gazebo (0.1.2-0xenial) xenial; urgency=high

  * Update package format
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Mon, 11 Mar 2019 23:00:00 -0000

ros-lunar-rexrov2-gazebo (0.1.1-0xenial) xenial; urgency=high

  * Fix paths to launch and plugin files after refactor
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Wed, 13 Feb 2019 23:00:00 -0000

ros-lunar-rexrov2-gazebo (0.1.0-0xenial) xenial; urgency=high

  * Merge pull request #16 <https://github.com/uuvsimulator/rexrov2/issues/16> from uuvsimulator/fix/add_max_forward_speed
    ADD Max. forward speed argument to NMB SM control launch file
  * ADD Max. forward speed argument to NMB SM control launch file
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #14 <https://github.com/uuvsimulator/rexrov2/issues/14> from uuvsimulator/feature/pd_with_compensation
    ADD Launch files for PD controller with compensation of restoring forces
  * ADD Launch files for PD controller with compensation of restoring forces
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #13 <https://github.com/uuvsimulator/rexrov2/issues/13> from uuvsimulator/fix/controller_launch_files
    Fix/controller launch files
  * FIX Launch files input arguments
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #11 <https://github.com/uuvsimulator/rexrov2/issues/11> from uuvsimulator/fix/set_ned_frame
    FIX use_ned_frame was flag to NED inertial frame
  * FIX use_ned_frame was flag to NED inertial frame
  * Merge pull request #9 <https://github.com/uuvsimulator/rexrov2/issues/9> from uuvsimulator/fix/record_bag_file
    FIX Default bag filename
  * FIX Default bag filename
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #7 <https://github.com/uuvsimulator/rexrov2/issues/7> from uuvsimulator/fix/record_demo_launch
    Fix/record demo launch
  * FIX Path to the record launch file
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * ADD Demo record launch file for output topics
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Merge pull request #5 <https://github.com/uuvsimulator/rexrov2/issues/5> from uuvsimulator/feature/add_demos
    ADD Demos and examples on README
  * ADD Demos and examples on README
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes, Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Tue, 03 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-rexrov2-gazebo
Section: misc
Priority: extra
Maintainer: Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-rexrov2-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-rexrov2-control, ros-lunar-rexrov2-description
Description: Package with launch files for demonstrations with the RexROV 2 vehicle

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rexrov2-gazebo//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
